/* Representation of a step in an oracle-info file. 
 */

package oracle; 

import java.util.*; 
import org.jdom.*; 


public class Step {

    /* The number of the step in sequence. Numbering starts at 1.
     */
    int number; 

    /* The line number of this step's '<Step>' tag in the oracle-info file. 
     */
    int line; 

    /* The event performed at the step. 
     */
    Event event; 

    /* Oracle info for the component on which the event was performed. 
     */
    Component compInfo; 

    /* Oracle info for all windows and their components. 
     */
    Vector<Window> allInfo; 


    public Step(int number, int line, Event event, Component compInfo, Vector<Window> allInfo) {
	this.number = number; 
	this.line = line; 
	this.event = event; 
	this.compInfo = compInfo; 
	this.allInfo = allInfo; 
    }

    /* For testing and error-handling. 
     */
    public Step(int number, int line) {
	this.number = number; 
	this.line = line; 
    }

    public int getNumber() {
	return number; 
    }
    
    public int getLine() {
	return line; 
    }

    public Event getEvent() {
	return event; 
    }

    public Component getCompInfo() {
	return compInfo; 
    }

    public Vector<Window> getAllInfo() {
	return allInfo; 
    }

}

